haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Floskell

Synopsis

- descriptor :: PluginId -> PluginDescriptor IdeState
- provider :: FormattingHandler IdeState

# Documentation

descriptor :: PluginId -> PluginDescriptor IdeState #

provider :: FormattingHandler IdeState #

Format provider of Floskell. Formats the given source in either a given Range or the whole Document. If the provider fails an error is returned that can be displayed to the user.